#footerDummy {
  position: relative;
  display: block;
  width: 100%;
  overflow: hidden;
  height: 0px !important;
}

#footer {
  position: relative;
  bottom: 0px;
  font-family: "Montserrat";
  width: 100%;
  height: fit-content;
  /* background: #888888; */
  /* padding-top: 30px; */
  border-top: 0px solid #000000;
  transition: all ease-in-out 0.2s;
  text-align: center;
  box-shadow: 0px -5px 16px rgba(0, 0, 0, 0.03);
  margin-top: 0 !important;
  background: white;
}

.line {
  /* position: absolute; */
  display: none;
  height: 1px;
  background: #6b6869;
  width: 100%;
  margin: 0 auto;
}

.columnTitle {
  font-size: 30px;
  color: #656565;
  font-family: "Montserrat";
  font-weight: 900;
  margin-left: 0;
  margin-bottom: 10px;
  text-align: center;
  white-space: nowrap;
  /* line-height: 30px; */
  display: none;
}

.whatsapp-click {
  position: absolute;
  right: 50px;
  top: -30px;
  z-index: 10;
  display: none;
  cursor: pointer;
}

.lineAnimation::after {
  height: unset !important;
}

.specialSpace {
  display: flex;
  position: relative;
  height: 30px;
}

.specialSpace2 {
  display: flex;
  position: relative;
  height: 45px;
}

img.footerSmallLogo {
  height: 30px;
  max-width: 100%;
  width: fit-content;
  left: 0;
  margin-left: 0;
  text-align: left;
  align-items: flex-start;
}

.footerLogo {
  display: flex;
  width: 15%;
  height: auto;
  margin: 0 auto;
  margin-right: 0;
  margin-left: 0;
  margin-bottom: 0;
  margin-top: 0px;
  flex-direction: column;
  justify-content: flex-start;
}


.redesDiv {
  display: flex;
  height: calc(100% - 223px);
  margin: 0 auto;
  margin-top: 20px;
  width: 70%;
  align-items: center;
  margin-left: 15%;
  margin-right: 15%;
  flex-direction: column;
}

img.logoImg {
  display: block;
  position: relative;
  height: auto;
  width: 100%;
}

.textDiv {
  width: 100%;
  display: flex;
  position: relative;
  justify-content: center;
  font-size: 18px;
  font-weight: 500;
  margin-bottom: 10px;
  height: 30px;
  line-height: 30px;
}

.redesDivContainer {
  display: flex;
  justify-content: revert;
  position: relative;
  width: 100%;
  flex-direction: column;
  margin-top: 30px;
}

a.socialLogo {
  display: flex;
  margin-right: 14px;
  font-size: 14px;
  display: flex;
  align-items: center;
  margin-bottom: 10px;
}

.socialLogo img {
  display: block;
  height: 30px;
  width: 23px;
  margin-right: 10px;
}

.columnsContainer {
  text-align: center;
  margin: auto;
  padding: 40px 0;
  width: 100%;
  display: flex;
  position: relative;
  overflow: hidden;
  justify-content: space-between;
  flex-wrap: wrap;
  align-items: center;
}

.container-footer-columns {
  width: 90%;
  margin: auto;
  color: black !important;
  background: white;
  display: grid;
  grid-template-columns: 15% max-content max-content max-content;
  align-items: center;
  justify-content: center;
  gap: 40px;
}

.container-footer-columns > .footerLogo {
  width: 100%;
}

.container-footer-columns > .newsletterWrapper {
  width: fit-content;
}

.column {
  float: left;
  color: #656565;
  height: calc(100% - 200px) !important;
  position: relative;
  display: flex;
  text-align: center;
  border-left: solid 2px #656565;
  width: fit-content;
  flex: 0 0 auto;
  min-width: fit-content;
  flex-direction: column;
  vertical-align: top;
  min-height: 300px;
  margin-bottom: 40px;
  padding-top: 20px;
  padding-left: 30px;
  padding-right: 30px;
  box-sizing: border-box;
  align-items: flex-start;
}

.newsletterWrapper {
  width: fit-content;
  max-width: none;
  min-width: fit-content;
}

.schedulesColumn {
  justify-content: flex-start;
}

.schedulesContent {
  display: flex;
  flex-direction: column;
  margin-top: 20px;
  align-items: flex-start;
}

.line-column {
  width: 1px;
  height: 290px;
  background: white;
}

.columnHeadingNewsletter {
  font-size: 30px;
  color: #656565;
  font-family: "Montserrat";
  font-weight: 900;
}

.whatsAppWebContainer {
  width: 60px;
  height: 50px;
  bottom: 70px !important;
  right: 64px;
}

.line-footer {
  height: 240px;
  width: 2px;
  background-color: #656565;
}

.columnItem {
  font-size: 14px;
  line-height: 18px;
  margin-left: 0;
  display: flex;
  color: #656565;
  height: 30px;
  text-transform: none;
  text-align: center;
  flex-direction: column;
  white-space: nowrap;
  align-items: center;
  font-weight: 700;
}

.columnItem-link {
  cursor: pointer;
}

.columnItem-link:hover {
  font-weight: 900;
}

.newsletterColumn {
  font-size: 18px;
  justify-content: space-around;
  padding-left: 40px;
  display: flex;
  margin-bottom: 0px;
  padding-right: 40px;
  flex-direction: column;
  box-sizing: border-box;
  width: fit-content;
  min-width: calc(100% + 20px);
  align-items: flex-start;
}

#emailFooterInput {
  position: relative;
  width: 100%;
  height: 100%;
  padding: 0 135px 0 0;
  box-sizing: border-box;
  background-color: transparent;
  color: black;
  line-height: 30px;
  font-size: 12px;
  text-indent: 15px;
}

#emailFooterInput::-webkit-input-placeholder {
  /* WebKit, Blink, Edge */
  color: black;
  opacity: 1;
  font-weight: 400;
}

#emailFooterInput:-moz-placeholder {
  /* Mozilla Firefox 4 to 18 */
  color: #58595b;
  opacity: 1;
  font-weight: 400;
}

#emailFooterInput::-moz-placeholder {
  /* Mozilla Firefox 19+ */
  color: #58595b;
  opacity: 1;
  font-weight: 400;
}

#emailFooterInput:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: #58595b;
  opacity: 1;
  font-weight: 400;
}

#emailFooterInput::-ms-input-placeholder {
  /* Microsoft Edge */
  color: #444b48;
  opacity: 1;
  font-weight: 400;
}

#subscribeNewsletterButton {
  position: relative;
  cursor: pointer;
  float: left;
  height: 100%;
}

#subscribeNewsletterButton:hover {
  opacity: 0.6;
}

.newsletter_go {
  display: block;
  height: fit-content;
  width: auto;
  top: 0px;
  display: flex;
  right: 0;
  align-items: center;
  height: 40px;
  position: absolute;
  cursor: pointer;
  font-size: 15px;
  color: #656565;
  line-height: 2px;
  text-transform: uppercase;
  font-weight: 900;
  -webkit-transition: all 200ms ease-in-out;
  -moz-transition: all 200ms ease-in-out;
  -ms-transition: all 200ms ease-in-out;
  -o-transition: all 200ms ease-in-out;
  transition: all 200ms ease-in-out;
  background: white;
  padding: 0 16px;
}

input::placeholder {
  color: #656565;
}
.newsletter_go:hover {
  font-weight: bold;
}

#footerBottom {
  height: 40px;
  /* border-top: 1px solid white; */
  width: calc(100%);
  padding: 10px;
  display: flex;
  flex-direction: row-reverse;
  background: #76bc21;
  align-items: center;
  width: calc(100% - 20px);
}

#footerLogoContainer {
  height: 230px;
  float: left;
  justify-content: flex-end;
  display: flex;
  align-items: center;
  width: 13%;
}

.rights {
  line-height: 40px;
  color: white;
  font-size: 13px;
  float: left !important;
  text-align: left;
  margin-left: 5%;
  margin-right: -5%;
}

.byluna {
  position: relative;
  margin-right: 75%;
  width: 100%;
}

.whatsAppWebLogo {
  width: 100%;
  height: auto;
  border-radius: 50%;
  padding-left: 2px;
}

.newsletterHeading {
  text-align: center;
  font-size: 12px !important;
}

.newsletterHeading1 {
  display: block;
  text-transform: uppercase;
  font-size: 20px;
  font-weight: 500;
  letter-spacing: 1px;
}

#newsLetterDiv {
  height: 34px;
  width: auto;
  margin-bottom: 25px;
}

.columnItem:hover {
  color: #76BC21;
}

.openItem {
  display: none;
}

.suscribeNewsContainer {
  position: relative;
  float: left;
  width: 100%;
  height: 40px;
  border-bottom: 2px solid #656565;
}

.lineAnimation::after {
  content: "";
  position: absolute;
  width: 0px;
  height: 1px;
  left: 50%;
  top: 0;
  background-color: #000000;
  transition: all ease-in-out 1s;
}

.visible.lineAnimation::after {
  width: 100%;
  left: 0;
}

.comment {
  color: #656565;
  font-weight: 400;
  margin-top: 10px;
  font-size: 18px;
  margin-bottom: 30px;
  text-align: center;
  white-space: nowrap;
}

.column.last {
  width: 30%;
}

div#acceptUser {
  display: block;
  position: fixed;
  top: 15vh;
  z-index: 10000;
  width: 60vw;
  height: auto;
  max-height: 70vh;
  left: 20vw;
  background: white;
  overflow: scroll;
  border-radius: 10px;
}

.terminosText {
  color: black;
  width: 80%;
  position: relative;
  margin: auto;
  margin-top: 50px;
  font-size: 14px;
  line-height: 19px;
}

div#acceptTitle {
  color: var(--button-color);
  font-size: 20px;
  margin-top: 20px;
}

#acceptRow #discountsText {
  font-size: 14px;
  position: relative;
  width: auto;
  margin: 0 auto;
  line-height: 20px;
}

div#acceptRow {
  margin: 40px 10% 40px 10%;
  width: fit-content;
  display: flex;
  align-items: center;
}

#acceptRow #receiveDiscount {
  margin: 0;
  margin-right: 10px;
  position: relative;
  height: 20px;
  width: 20px;
  margin-bottom: 4px;
}

.termsDiv .blackBkg80,
.termsDivCheckout .blackBkg80 {
  z-index: 10000;
}

.closeTerms,
.closeTermsCheckout {
  color: black;
  font-size: 25px;
  text-align: right;
  margin: 15px;
  margin-bottom: 0;
  cursor: pointer;
}

.termsDiv,
.termsDivCheckout {
  display: none;
}

#acceptRow #receiveDiscount:checked {
  background-color: var(--button-color);
  background-image: url("/files/checked.png");
  background-size: 70%;
  background-position: center;
  background-repeat: no-repeat;
}

.disabledButton {
  cursor: not-allowed !important;
  opacity: 0.7;
}

.disabledButton:hover {
  color: white !important;
  background-color: var(--button-color) !important;
}

div#terms {
  width: 80%;
  font-size: 12px;
  line-height: 13px;
}

p.openTerms,
p.openTermsCheckout {
  text-decoration: underline;
  font-weight: 900;
  display: inline-block;
  margin: 0;
  cursor: pointer;
}

#acceptRow #receiveDiscount {
  border: solid 1px black;
  border-radius: 2px;
  cursor: pointer;
}

div#terms.redText {
  color: red !important;
}

@media screen and (max-width: 768px) {
  .line-footer {
    width: 100%;
    height: 1px;
    margin: 40px 0;
  }
  .newsletterColumn {
    height: auto;
    padding: 0 20px;
    min-width: 100%;
    flex-direction: column;
    align-items: flex-start;
    box-sizing: border-box;
  }

  #emailFooterInput{
    padding: unset;
  }
  .columnHeadingNewsletter {
    font-weight: 700;
    font-size: 20px;
    margin-bottom: 5px !important;
  }
  .comment {
    font-weight: 400;
    font-size: 14px;
  }
  .columnHeadingNewsletter,
  .comment {
    width: 100%;
    margin: 0;
    margin-bottom: 10px;
    padding-bottom: unset !important;
  }
  .columnItem {
    height: unset;
    margin-left: 0;
    white-space: normal;
  }
  .columnTitle,
  .comment {
    white-space: normal;
  }
  .column {
    width: 100% !important;
    min-height: auto;
    margin-bottom: 0;
    padding: 30px 0;
    padding-left: 0;
    padding-right: 0;
    border-left: 0;
    border-top: 1px solid #656565;
    align-items: flex-start;
    text-align: left;
  }
  .column.last {
    border-bottom: 0;
    padding-bottom: 30px;
  }
  .columnsContainer{
    padding: 50px 0;
  }
  .redesDivContainer {
    margin-left: 0;
    margin-top: 20px;
    margin-bottom: 20px;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
  }
  a.socialLogo {
    margin-left: 0;
    margin-right: 0;
    justify-content: flex-start;
  }
  #footer{
    width: 100%;
  }

  img.logoImg {
    width: 40%;
  }
  .container-logo {
    width: 100% !important;
    margin-top: 0;
  }
  .footerLogo {
    width: 100%;
    max-width: unset;
    justify-content: center;
    align-items: center;
  }
  .suscribeNewsContainer {
    display: flex;
    flex-direction: row;
    width: 100%;
    margin-top: 20px;
    max-width: 360px;
  }
  .newsletter_go {
    position: relative;
    width: 40%;
  }
  .comment {
    text-align: left;
    /* padding-bottom: unset !important; */
  }
  .schedulesContent {
    width: 100%;
    align-items: flex-start;
  }
  .container-footer-columns {
    display: flex;
    flex-direction: column;
    width: 100%;
    flex-wrap: wrap;
    gap: 0;
    align-items: center;
  }
  .container-footer-columns > .footerLogo {
    width: 100%;
    padding-bottom: 30px;
  }
  .container-footer-columns > .column,
  .container-footer-columns > .newsletterWrapper {
    flex: 1 1 auto;
    width: 90%;
    padding-left: 20px;
    padding-right: 20px;
    /* padding-bottom: 21px; */
    box-sizing: border-box;
  }
  .newsletterWrapper {
      border-top: 1px solid #656565;
  }
  .newsletterColumn,
  .schedulesContent {
      align-items: flex-start;
      text-align: left;
  }
  .linksSocialColumn .columnItem,
  .schedulesColumn .columnItem,
  .newsletterColumn .columnHeadingNewsletter,
  .newsletterColumn .comment {
    text-align: left;
    padding-bottom: 20px;
  }
  .whatsAppWebContainer {
    width: 50px;
    height: 50px;
    bottom: 6% !important;
    right: 6%;
  }
   #acceptUser {
    width: 90vw !important;
    left: 5vw !important;
  }
}
